Summary: Cued build of ati fglrx drivers for dpo/suse
Name: cued-ati-fglrx
Version: 1
Release: 3
BuildRoot: %{_tmppath}/%{name}-%{version}-build
License: CUED
Packager: Patrick Gosling <jpmg@eng.cam.ac.uk>
Group: CUED
BuildArchitectures: x86_64
Source0: ati-8.42.3-x86.x86_64-files.tar.gz 

%description
fglrx drivers for dpo/suse terminals

%prep
%build
%install
tar -zx -C $RPM_BUILD_ROOT -f %{SOURCE0}
cd $RPM_BUILD_ROOT/usr
mkdir -p lib/xorg
mv X11R6/lib/* lib/xorg/
rmdir X11R6/lib/
mkdir -p lib64/xorg
mv X11R6/lib64/* lib64/xorg/
rmdir X11R6/lib64/
rm bin/fglrx-kernel-build.sh
mv src/kernel-modules src/ati
mv lib64/powersave lib/powersave

%files
/etc/ati
/etc/init.d/atieventsd
/lib/modules/2.6.18.8-0.7-default/kernel/drivers/char/drm/fglrx.ko
/usr/bin/amdcccle
/usr/bin/aticonfig
/usr/bin/fgl_glxgears
/usr/bin/fglrx_xgamma
/usr/bin/fglrxinfo
/usr/include/GL/glATI.h
/usr/include/GL/glxATI.h
/usr/include/X11/extensions/fglrx_gamma.h
/usr/lib/dri/fglrx_dri.so
/usr/lib/powersave/
/usr/lib/xorg/libGL.so
/usr/lib/xorg/libGL.so.1
/usr/lib/xorg/libGL.so.1.2
/usr/lib64/dri/fglrx_dri.so
/usr/lib64/xorg/libGL.so
/usr/lib64/xorg/libGL.so.1
/usr/lib64/xorg/libGL.so.1.2
/usr/lib64/xorg/libfglrx_gamma.a
/usr/lib64/xorg/libfglrx_gamma.so.1
/usr/lib64/xorg/libfglrx_gamma.so.1.0
/usr/lib64/xorg/libfglrx_pp.a
/usr/lib64/xorg/libfglrx_pp.so.1.0
/usr/lib64/xorg/libfglrx_pp.so.1
/usr/lib64/xorg/libfglrx_tvout.a
/usr/lib64/xorg/libfglrx_tvout.so.1.0
/usr/lib64/xorg/modules/drivers/fglrx_drv.so
/usr/lib64/xorg/modules/esut.a
/usr/lib64/xorg/modules/glesx.so
/usr/lib64/xorg/modules/linux/libfglrxdrm.so
/usr/sbin/atieventsd
/usr/sbin/atigetsysteminfo.sh
/usr/sbin/rcatieventsd
/usr/share/doc/packages/fglrx
/usr/share/applications/fglrx.desktop
/usr/share/pixmaps
/usr/share/man/man8/atieventsd.8.gz
/usr/src/ati

%post
grep -q lib/xorg /etc/ld.so.conf || \
   cat - /etc/ld.so.conf > /etc/ld.so.conf.new <<EOF  
/usr/lib/xorg  
/usr/lib64/xorg 
EOF
grep ^/lib /etc/ld.so.conf.new && mv /etc/ld.so.conf.new /etc/ld.so.conf
/sbin/ldconfig 
/sbin/depmod -a

%postun
egrep -v '/usr/lib/xorg|/usr/lib64/xorg' /etc/ld.so.conf > /etc/ld.so.conf.new
grep ^/lib /etc/ld.so.conf.new && mv /etc/ld.so.conf.new /etc/ld.so.conf
/sbin/ldconfig 
/sbin/depmod -a
